Subject: bug#7435: closed (Re: bug#7435: Trunk won't compile after change to strftime.c)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 18 Nov 2010 23:34:01 +0000

Your bug report

#7435: Trunk won't compile after change to strftime.c

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
7435: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=7435
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#7435: Trunk won't compile after change to strftime.c
From: Ken Brown <[email-masked]>
To: [email-masked]
Date: Thu, 18 Nov 2010 18:38:41 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

On 11/18/2010 10:59 AM, Ken Brown wrote:
> Attempting to build from the trunk as of r102429 fails on Cygwin as follows:
>
> gcc -c  -Demacs -DHAVE_CONFIG_H  -I. -I/d/downloads/emacs/test/src
> -D_REENTRANT -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include
> -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0
> -I/usr/include/gio-unix-2.0/ -I/usr/include/glib-2.0
> -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1
> -I/usr/include/freetype2 -I/usr/include/libpng12
> -I/usr/include/freetype2      -fopenmp -I/usr/include/ImageMagick
> -I/usr/include/libxml2   -I/usr/include/dbus-1.0
> -I/usr/lib/dbus-1.0/include        -MMD -MF deps/strftime.d
> -Wimplicit-function-declaration -Wold-style-definition
> -Wdeclaration-after-statement -Wno-pointer-sign  -g -O2 strftime.c
> strftime.c:58: warning: ‘_tzname’ redeclared without dllimport
> attribute: previous dllimport ignored
> strftime.c: In function ‘my_strftime_gmtime_r’:
> strftime.c:187: warning: old-style function definition
> strftime.c: In function ‘my_strftime_localtime_r’:
> strftime.c:200: warning: old-style function definition
> strftime.c: In function ‘ftime_tm_diff’:
> strftime.c:388: warning: old-style function definition
> strftime.c: In function ‘nstrftime’:
> strftime.c:482: error: expected declaration specifiers before ‘,’ token
> strftime.c:502: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’
> before ‘{’ token
> strftime.c:1454: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’
> before ‘{’ token
> strftime.c:1458: warning: old-style function definition
> strftime.c:1456: error: expected ‘{’ at end of input

This has been fixed.  Sorry for the premature bug report.

Subject: Trunk won't compile after change to strftime.c
From: Ken Brown <[email-masked]>
To: [email-masked]
Date: Thu, 18 Nov 2010 10:59:58 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Attempting to build from the trunk as of r102429 fails on Cygwin as follows:

gcc -c  -Demacs -DHAVE_CONFIG_H  -I. -I/d/downloads/emacs/test/src 
-D_REENTRANT -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include 
-I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 
-I/usr/include/gio-unix-2.0/ -I/usr/include/glib-2.0 
-I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 
-I/usr/include/freetype2 -I/usr/include/libpng12 
-I/usr/include/freetype2      -fopenmp -I/usr/include/ImageMagick 
-I/usr/include/libxml2   -I/usr/include/dbus-1.0 
-I/usr/lib/dbus-1.0/include        -MMD -MF deps/strftime.d 
-Wimplicit-function-declaration -Wold-style-definition 
-Wdeclaration-after-statement -Wno-pointer-sign  -g -O2 strftime.c
strftime.c:58: warning: ‘_tzname’ redeclared without dllimport 
attribute: previous dllimport ignored
strftime.c: In function ‘my_strftime_gmtime_r’:
strftime.c:187: warning: old-style function definition
strftime.c: In function ‘my_strftime_localtime_r’:
strftime.c:200: warning: old-style function definition
strftime.c: In function ‘ftime_tm_diff’:
strftime.c:388: warning: old-style function definition
strftime.c: In function ‘nstrftime’:
strftime.c:482: error: expected declaration specifiers before ‘,’ token
strftime.c:502: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ 
before ‘{’ token
strftime.c:1454: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ 
before ‘{’ token
strftime.c:1458: warning: old-style function definition
strftime.c:1456: error: expected ‘{’ at end of input